[workspace]
resolver = "2"
members = [
    "engine",
    "editor",
    "tests",
]

[workspace.package]
version = "0.1.0"
edition = "2021"
authors = ["Jaroslav Beneš"]
license = "GPL-3.0-or-later"
rust-version = "1.75"

[workspace.dependencies]
# Math
glam = "0.28"

# Logging
log = "0.4"
env_logger = "0.11"

# Error handling
anyhow = "1"
thiserror = "2"

# Serialization
serde = { version = "1", features = ["derive"] }
ron = "0.8"

[profile.release]
opt-level = 3
lto = true
codegen-units = 1
strip = true
